INTERFACE
SUBROUTINE FIXSPPT( PGMVS, DPTENQ, PGFLT1, PGMVT1 )
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM   , ONLY : NPROMA, NGPBLKS, NFLEVG
USE YOM_YGFL , ONLY : YGFL
USE YOMGMV   , ONLY : NDIMGMVS, YT1
REAL(KIND=JPRB)   ,INTENT(IN)    :: PGMVS(NPROMA,NDIMGMVS,NGPBLKS) 
REAL(KIND=JPRB)   ,INTENT(IN)    :: DPTENQ(NPROMA,NFLEVG,4,2,NGPBLKS)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1,NGPBLKS)
REAL(KIND=JPRB)   ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM,NGPBLKS)
END SUBROUTINE FIXSPPT
END INTERFACE
